List video IDs from a YouTube playlist
curl --request GET \
--url https://api.urltodata.ai/v1/youtube/playlist/videos \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.urltodata.ai/v1/youtube/playlist/videos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.urltodata.ai/v1/youtube/playlist/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"videoIds": [
"<string>"
],
"shortIds": [
"<string>"
],
"liveIds": [
"<string>"
]
}API Reference
List video IDs from a YouTube playlist
GET
/
v1
/
youtube
/
playlist
/
videos
List video IDs from a YouTube playlist
curl --request GET \
--url https://api.urltodata.ai/v1/youtube/playlist/videos \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.urltodata.ai/v1/youtube/playlist/videos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.urltodata.ai/v1/youtube/playlist/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"videoIds": [
"<string>"
],
"shortIds": [
"<string>"
],
"liveIds": [
"<string>"
]
}Authorizations
API key as Bearer token (e.g. Bearer mp_abc123_secret)
Query Parameters
Playlist ID
Max results (1-1000)
Required range:
1 <= x <= 1000